petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPFETIDPGetInnerKSP

Gets the KSP object for the Lagrange multipliers

### Synopsis

    #include <petscksp.h>
    PetscErrorCode KSPFETIDPGetInnerKSP(KSP ksp, KSP* innerksp)

### Input Parameters

| ksp | - the FETI-DP KSP
| innerksp | - the KSP for the multipliers

### Notes

### See Also

MATIS, PCBDDC, KSPFETIDPSetInnerBDDC, KSPFETIDPGetInnerBDDC

### Level

advanced

### Location

src/ksp/ksp/impls/fetidp/fetidp.c

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html

### Implementations

KSPFETIDPGetInnerKSP_FETIDP in src/ksp/ksp/impls/fetidp/fetidp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages